#ifndef slxSetup_H
#define slxSetup_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: slxSetup.h,v 1.145 2005/07/27 08:58:06 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/10/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifdef __cplusplus
extern "C" {
#endif


ccsCOMPL_STAT slxCreateSetupFileBuf(slxDYN_BUF           *setupBuf,
				    const slxDICTIONARY  dictionary,
				    const slxSETUP_TYPE  setupType,    
				    const char           *setupId,
				    const char           *obsProgId,
				    const char           *obsProgResp,
				    const char           *obsMode,
				    const char           *instrId,
				    const char           *applCreating,
				    ccsERROR             *error);

ccsCOMPL_STAT slxConvertToNormal(const slxFILENAME   setupFileName,
                                 ccsERROR            *error);

ccsCOMPL_STAT slxConvertToShort(const slxFILENAME    setupFileName,
                                ccsERROR             *error);

ccsCOMPL_STAT slxStoreLine(const slxKEYW_LINE   keywordLine, 
                           const slxFILENAME    fileName,
                           ccsERROR             *error);

ccsCOMPL_STAT slxGetKeyword(const slxFILENAME   setupFilename,
                            const slxKEYW_LINE  keyword,
                            const vltUINT16     keywordNumber,
                            slxKEYW_INFO        *keywordInfo,
                            ccsERROR            *error);


ccsCOMPL_STAT slxLoadSetup(slxFILENAME         fileName, 
			   slxDYN_BUF          *setupHandle,
			   slxCHANGE_RECORD    changeRec,
			   ccsERROR            *error);

ccsCOMPL_STAT slxMergeSetupBuf(slxDYN_BUF        *setupHandle,
			       const char        *instrument,
			       slxCHANGE_RECORD  changeRec,
   	                       ccsERROR          *error, ...);

#ifdef __cplusplus
}
#endif

#endif /*!slxSetup_H*/
