#ifndef slxStringList_H
#define slxStringList_H
/*******************************************************************************
* E.S.O. - VLT project
*
#
# "@(#) $Id: slxStringList.h,v 1.145 2005/07/27 08:58:47 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/10/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifdef __cplusplus
extern "C" {
#endif


typedef struct slxSTR_LST {
    struct slxSTR_LST    *next;
    struct slxSTR_LST    *prev;    
    char                 *string;
    vltINT32             id;
    vltLOGICAL           header;
    struct slxSTR_LST    *elPtr;
} slxSTRING_LIST;


ccsCOMPL_STAT slxInitStrList(slxSTRING_LIST  **strElPtr,
			     char            *hdrString,
			     ccsERROR        *error);

ccsCOMPL_STAT slxFreeStrList(slxSTRING_LIST  *strElPtr,
			     ccsERROR        *error);

ccsCOMPL_STAT slxDelStrEl(slxSTRING_LIST  *strElPtr, 
			  ccsERROR        *error);

ccsCOMPL_STAT slxAddStrEl(slxSTRING_LIST  *strElPtr, 
			  char            *string,
			  vltLOGICAL      addFirstInList,
			  vltINT32        id,
			  ccsERROR        *error);

ccsCOMPL_STAT slxStrListMerge(char            *string,
			      slxSTRING_LIST  *targList,
			      vltINT32        *elsStored,
			      ccsERROR        *error);

char *slxStrNextEl(slxSTRING_LIST       *strListHdr,
		   const vltLOGICAL     init);

ccsCOMPL_STAT slxStrListGetEl(slxSTRING_LIST  *stringList,
			      vltINT32        elNumber,
			      char            **string,
			      ccsERROR        *error);

#ifdef __cplusplus
}
#endif

#endif /*!slxStringList_H*/
