#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqStatus_uifClass.tcl,v 1.113 2005/09/13 07:27:22 vltsccm Exp $" 
#
# iracqStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Tue Jan 11 18:41:27 MET 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 240 -height 134 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.iracqStatus-acq -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqStatus-acq %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label Acquisition: \
                       -labelFont -Adobe-helvetica-bold-r-normal--12* \
                       -labelWidth 0 -variable gvar(irace.acqStatusN) \
                       -width 12
    UifOutput          $cv.iracqStatus-cldc -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqStatus-cldc %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label CLDC: \
                       -labelFont -Adobe-helvetica-bold-r-normal--12* \
                       -labelWidth 0 -variable gvar(irace.cldcStatusN) \
                       -width 12
    UifOutput          $cv.iracqStatus-exposure -anchor center \
                       -canvasAnchor nw -color Blue -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqStatus-exposure %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label Exposure: \
                       -labelFont -Adobe-helvetica-bold-r-normal--12* \
                       -labelWidth 0 -variable gvar(exposure.expStatusN) \
                       -width 12
    UifOutput          $cv.iracqStatus-seq -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqStatus-seq %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label Sequencer: \
                       -labelFont -Adobe-helvetica-bold-r-normal--12* \
                       -labelWidth 0 -variable gvar(irace.seqStatusN) \
                       -width 12

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqStatus-acq)  {UifOutput 4 64 1 1 0 0 1 irace.acqStatusN 0 {} {}}
    set panWidget(${top}.iracqStatus-cldc)  {UifOutput 36 36 1 1 0 0 1 irace.cldcStatusN 0 {} {}}
    set panWidget(${top}.iracqStatus-exposure)  {UifOutput 12 92 1 1 0 0 1 exposure.expStatusN 0 {} {}}
    set panWidget(${top}.iracqStatus-seq)  {UifOutput 4 8 1 1 0 0 1 irace.seqStatusN 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.iracqStatus-acq)  [list out local irace.acqStatusN 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqStatus-cldc)  [list out local irace.cldcStatusN 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqStatus-exposure)  [list out local exposure.expStatusN 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqStatus-seq)  [list out local irace.seqStatusN 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqStatus-acq)  {IRACE acquisition process status}
    set panWidgetHlp(${top}.iracqStatus-cldc)  {IRACE CLDC status}
    set panWidgetHlp(${top}.iracqStatus-exposure)  {IRACE-DCS exposure status}
    set panWidgetHlp(${top}.iracqStatus-seq)  {IRACE sequencer status}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
