#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqParam_uifClass.tcl,v 1.113 2005/09/13 07:27:19 vltsccm Exp $" 
#
# iracqParam_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Mon Dec 20 15:36:01 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqParam_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 378 -height 210 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.iracqParam-paramDefault -canvasAnchor nw \
                       -command {panSendCommand $seq_ccsEnvName $gvar(iracqSrvName) "SETUP" CHECK_ALL 60000 -default} \
                       -initialState normal -label Default -popup 0 \
                       -stateVar gvar(iracqParam-wdg4Var) -width 6
    UifEntry           $cv.iracqParam-paramEntry -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(paramSelValue) -width 10
    UifListBox         $cv.iracqParam-paramList -canvasAnchor nw -default 0 \
                       -font -Adobe-courier-bold-r-normal--12* \
                       -geometry 41x10 -scrollx 1 -scrolly 1 \
                       -selectmode single -variable gvar(paramSel)
    UifOutput          $cv.iracqParam-paramSel -anchor w -canvasAnchor nw \
                       -color Blue -font -Adobe-courier-bold-r-normal--12* \
                       -frame 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(paramSelName) -width 30

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqParam-paramDefault)  {UifButton 320.0 8.0 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqParam-paramEntry)  {UifEntry 228 190 1 0 {} 0 1 paramSelValue 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqParam-paramList)  {UifListBox 8.0 8.0 1 0 0 0 1 paramSel 0 {}}
    set panWidget(${top}.iracqParam-paramSel)  {UifOutput 8.0 188.0 1 0 0 0 1 paramSelName 0 %s {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqParam-paramDefault)  {Set IRACE-DCS default parameter for current readout mode}
    set panWidgetHlp(${top}.iracqParam-paramEntry)  {Set IRACE-DCS parameter value}
    set panWidgetHlp(${top}.iracqParam-paramList)  {IRACE-DCS Parameter list}
    set panWidgetHlp(${top}.iracqParam-paramSel)  {Selected IRACE-DCS parameter}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
