#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqUifFrames.tcl,v 1.113 2005/09/13 07:27:24 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  13/10/99  created
# jstegmei  12/01/00  dynamic add/remove of available frame types
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc iracqAddFrame {w name} {

    global cv gvar iracqFrame iracqFrameGen iracqFrameStore iracqFrameDisp
 
    set e frm-$name

    if {[winfo exists $w.$e]} { 
	return
    }

    frame $w.$e -bd 0 
    pack $w.$e -side top -fill both
    label $w.$e.name -anchor nw -width 21 -fg black \
	    -text $iracqFrame($name) 
    pack $w.$e.name -side left -anchor nw
    checkbutton  $w.$e.gen -anchor w \
	    -offvalue 0 -onvalue 1 \
	    -variable iracqFrameGen($name) \
	    -command "iracqCmdFrameGen $name"
    checkbutton  $w.$e.store -anchor w \
	    -offvalue 0 -onvalue 1 \
	    -variable iracqFrameStore($name) \
	    -command "iracqCmdFrameStore $name"
    checkbutton  $w.$e.disp -anchor w \
	    -offvalue 0 -onvalue 1 \
	    -variable iracqFrameDisp($name) \
	    -command "iracqCmdFrameDisp $name"
    pack $w.$e.gen -side left 
    pack $w.$e.store -side left -padx 45
    pack $w.$e.disp -side left 
}

proc iracqRemoveFrame {w name} {
    global cv gvar iracqFrame iracqFrameGen iracqFrameStore iracqFrameDisp

    set e frm-$name

    if {[winfo exists $w.$e]} { 
	catch {eval destroy $w.$e}
    }

}


#
# ___oOo___
