#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: configArrowsButton.tcl,v 5.34 2005/09/26 12:44:30 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  05/01/98  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc arrowsButtonPanel { idx top type w } {
   global  wdgConfig

   set top  [getWdgConfig $idx frameStep]
   set lblFont     $wdgConfig(lblFont)
   set lblWidth    $wdgConfig(lblWidth)
   set fieldLen    $wdgConfig(fieldLen)

   set wdgDecr $top.wdgDecr
   set wdgIncr $top.wdgIncr

   UifEntry $wdgIncr -label " Incr. Step" -width 3\
               -labelWidth $lblWidth -labelFont $lblFont

   UifEntry $wdgDecr -label " Decr. Step" -width 3\
               -labelWidth $lblWidth -labelFont $lblFont

   #
   #  Create configuration panel
   #

   pack $wdgIncr $wdgDecr -side left -pady 10
}

#-----------------------------------------------------------------------------
# PROCEDURE : displayArrowsButton - Updates the configuration panel according 
#                                to the current UifButton Class configuration
#-----------------------------------------------------------------------------

proc displayArrowsButton { idx cv type name } {

   set top  [getWdgConfig $idx frameStep]
   setEntry $top.wdgDecr [$cv.$name cget -decrStep]
   setEntry $top.wdgIncr [$cv.$name cget -incrStep]
}


#-----------------------------------------------------------------------------
# PROCEDURE : configArrowsButton - Updates the data structures describing the
#                                  configuration of the UifButton Class
#-----------------------------------------------------------------------------

proc configArrowsButton { idx cv type name } {
  
   set top  [getWdgConfig $idx frameStep]

   $cv.$name configure -decrStep [getInput $top.wdgDecr] \
                       -incrStep [getInput $top.wdgIncr]
}








#
# ___oOo___
