#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibSourceFile.tcl,v 1.21 2003/11/18 12:40:57 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    10/03/96  created
#
# This file must be sourced by the application under testing
#
#------------------------------------------------------------------------
#
namespace inscope :: {
    if {$tcl_version >= 8.4} {
        ::tk::unsupported::ExposePrivateCommand tkButton*
    }
}

proc simulClickButton { wdg } {

   if {[winfo exists $wdg ] == 0} {
      return "WIDGET $wdg DOES NOT EXITS"
   }
   
   # The delay after tkButtonEnter is to let the user know that the button
   # has been pressed !!

   tkButtonEnter $wdg ;
   update idletasks; after 1000
   tkButtonDown  $wdg
   
   # The check is required to process button used to 'quit' an application.

   if {[winfo exists $wdg]} { tkButtonUp $wdg }   
   if {[winfo exists $wdg]} { tkButtonLeave $wdg }
  
   return ""
}


#
# ___oOo___
