#***********************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wpPrintAccount.tcl,v 1.23 1998/03/09 08:55:26 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# gfilippi  11/05/95  created
#
#************************************************************************
#   NAME
#
#     wpPrintAccount - Prompts the user with a file Selection Box to select
#                     a file from the 'user' account and print it
#
#   SYNOPSIS
#
#     wpPrintAccount
#
#   DESCRIPTION
#
#     Print a file from the 'user' account database'.
#     The fileName has the format : $HOME/.wp-<user>[_<week>]
#
#     The file contains the list of activities specifying for each one
#     the number of hours spent for that activity.
#
#   FILES
#
#   ENVIRONMENT
#
#   CAUTIONS
#
#     Files must be terminated with a <Carriage Return>
#
#------------------------------------------------------------------------
#

proc wpPrintAccount { } {

   global wpLastSelection wpLocalAccDir wpActRecord  wpListWidget wpLocalFile
   global cv gvar wp_name shArea wpUser env

   set filePath [panSelectFile $wpLocalAccDir "WP${wpUser}*"]
   if { [ string length $filePath] == 0 } { update idletasks ; return }

   exec print $filePath

}

# ___oOo___
