#ifndef _tcom_h
#define _tcom_h
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcom.h,v 1.104 2005/09/12 09:21:30 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  19/09/96  created
*/

/************************************************************************
 *
 *  tcom.h  tcom constants
 *
 *----------------------------------------------------------------------
 */


#include <stdio.h>

#include "icmd.h"

#ifdef __cplusplus
extern "C" {
#endif


/*
 *  command server prototypes
 */
void tcomCmdDump (FILE *, icmdCOM);
void tcomRepDump (FILE *, icmdREP);

/*
 *  socket prototypes
 */
int tcomSockInOpen (char *, char *);
int tcomSockInConnect (int, char *);
int tcomSockInClose (int);
int tcomSockGetCommand (int, icmdCOM *, char *);
int tcomSockSendReply (int, icmdREP, char *);
int tcomSockOutOpen (char *, char *);
int tcomSockOutClose (int);
int tcomSockSendCommand (int, icmdCOM, char *);
int tcomSockGetReply (int, icmdREP *, char *);


#ifdef __cplusplus
}
#endif

#endif /*!_tcom_h*/
