# E.S.O. - VLT project 
# $Id: astrotclConfig.sh.in,v 1.26 2005/02/06 19:22:24 vltsccm Exp $
#
# astrotclConfig.sh --
#
# This shell script (for sh) is generated automatically by the
# configure script.  It will create shell variables for most of
# the configuration options discovered by the configure script.
# This script is intended to be included by other configure scripts
# so that they don't have to figure this all out for themselves.
#
# The information in this file is specific to a single platform.
#
# who             when       what
# --------------  --------   ---------------------------------------------
# Allan Brighton  21 Nov 97  Created
#

# package version
ASTROTCL_VERSION='1.4.9'

# ASTROTCL install dirs
ASTROTCL_DESTDIR='${INSTALL_TARGET}'
ASTROTCL_BINDIR='${INSTALL_TARGET}/bin'
ASTROTCL_LIBDIR='${INSTALL_TARGET}/lib'
ASTROTCL_INCDIR='${INSTALL_TARGET}/include/astrotcl'
ASTROTCL_MANDIR='${INSTALL_TARGET}/man'
ASTROTCL_DIR='${INSTALL_TARGET}/lib/astrotcl'

# root of astrotcl source tree
ASTROTCL_SRC_ROOT='/home/vltnoccs/VLTSW/DMD/cat/astrotcl'

# list of astrotcl subdirectory pathnames (depends on --with-notcl flag)
ASTROTCL_SUBDIRS='/home/vltnoccs/VLTSW/DMD/cat/astrotcl/compress                       /home/vltnoccs/VLTSW/DMD/cat/astrotcl/wcslib 		      /home/vltnoccs/VLTSW/DMD/cat/astrotcl/imageio                       /home/vltnoccs/VLTSW/DMD/cat/astrotcl/astrotcl'

# If this is true, build library with no Tcl access
ASTROTCL_NO_TCL='0'

# default location of Astrotcl library files
ASTROTCL_LIBRARY='${INSTALL_TARGET}/lib/astrotcl'

# location of Astrotcl library files in source tree
ASTROTCL_BUILD_LIBRARY='/home/vltnoccs/VLTSW/DMD/cat/astrotcl/astrotcl/library'

# -I flags to pick up the astrotcl include files from the build dirs
ASTROTCL_BUILD_INCLUDES='-I/home/vltnoccs/VLTSW/DMD/cat/astrotcl/wcslib/include -I/home/vltnoccs/VLTSW/DMD/cat/astrotcl/imageio/include -I/home/vltnoccs/VLTSW/DMD/cat/astrotcl/compress/include'

# String to pass to linker to pick up the Astrotcl library from its
# build directory.
ASTROTCL_BUILD_LIB_SPEC='-L/home/vltnoccs/VLTSW/DMD/cat/astrotcl -lastrotcl'

# static version of above
ASTROTCL_BUILD_LIB_SPEC_STATIC='/home/vltnoccs/VLTSW/DMD/cat/astrotcl/libastrotcl.a'

# String to pass to linker to pick up the Astrotcl library from its
# installed directory.
ASTROTCL_LIB_SPEC='-L${INSTALL_TARGET}/lib -lastrotcl'

# static version of above
ASTROTCL_LIB_SPEC_STATIC='${INSTALL_TARGET}/lib/libastrotcl.a'
