#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: feditLocalProcs.tcl,v 2.11 2003/11/12 09:10:36 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  21/09/96  created
#

#************************************************************************
# 
#   DESCRIPTION
#
# Duplicated code to be able to run feditFormatCompile without the need
# to link to any other module
#
#
#------------------------------------------------------------------------
#

#
# Duplicated code to be able to run feditFormatCompile without the need
# to link to any other module
#

proc findModuleFile { file } {
    upvar #0 env env ;      # To access the environment variables
      
    #
    # Take the only file name and check in the current directory
    #

    set myFile   [exec basename  $file]   
    set fileName [pwd]/$myFile

    if {[file exist $fileName] == 1} { return  $fileName }

    #
    # Does the file exist in the current sub-directory?
    #
    
    set fileName [pwd]/$file
    if {[file exist $fileName] == 1} { return  $fileName }
  
    #
    # Does the file exist in the current module?
    # (the current module is assumed to be the parent directory 
    #  of the current pwd)
    
    set fileName ../$file
    if {[file exist $fileName] == 1} { return  $fileName }
         
    #
    # File does not exist. Exit with error:
    #
   
    return "";
}


#-----------------------------------------------------------
#   Procedure   getRelPath
#
#  The procedure return the relative path of the sub-directory
#
#  Return  Offset String
#
#-----------------------------------------------------------


proc getRelPath { module  subDir } {
   
   set lastDir [exec basename [pwd]]

   if { $lastDir == $module } { return "./$subDir" } 
   if { $lastDir == $subDir } { return "." }
   
   return "../$subDir"
} 

#
# ___oOo___
