#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqWindow_uifClass.tcl,v 1.113 2005/09/13 07:27:27 vltsccm Exp $" 
#
# iracqWindow_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Tue Apr 18 12:38:11 METDST 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqWindow_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 320 -height 94 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.iracqWindow-fullFrame -canvasAnchor nw \
                       -command {panSendCommand $seq_ccsEnvName $gvar(iracqSrvName) "SETUP" CHECK_ALL 60000  "-function DET$gvar(iracqDetIdx)\.WIN.STARTX 1 DET$gvar(iracqDetIdx)\.WIN.STARTY 1 DET$gvar(iracqDetIdx)\.WIN.NX 0 DET$gvar(iracqDetIdx)\.WIN.NY 0"} \
                       -initialState normal -label {Full Frame} -popup 0 \
                       -stateVar gvar(iracqWindow-wdg13Var) -width 0
    UifCheckButton     $cv.iracqWindow-hwWindow -anchor w -canvasAnchor nw \
                       -command iracqApplyHwWindow -default 0 \
                       -label HW-Window -offVal 0 -onVal 1 \
                       -variable gvar(hwWindow) -width 0
    UifOutput          $cv.iracqWindow-nx -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqWindow-nx %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(exposure.NX) -width 5
    UifEntry           $cv.iracqWindow-nxSet -canvasAnchor nw -label NX \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(nxSet) -width 5
    UifOutput          $cv.iracqWindow-ny -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqWindow-ny %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(exposure.NY) -width 5
    UifEntry           $cv.iracqWindow-nySet -canvasAnchor nw -label NY \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(nySet) -width 5
    UifOutput          $cv.iracqWindow-startX -anchor center \
                       -canvasAnchor nw -color Blue -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqWindow-startX %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(exposure.STARTX) \
                       -width 5
    UifEntry           $cv.iracqWindow-startXSet -canvasAnchor nw \
                       -label Start-X \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(startXSet) -width 5
    UifOutput          $cv.iracqWindow-startY -anchor center \
                       -canvasAnchor nw -color Blue -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqWindow-startY %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(exposure.STARTY) \
                       -width 5
    UifEntry           $cv.iracqWindow-startYSet -canvasAnchor nw \
                       -label Start-Y \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(startYSet) -width 5

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqWindow-fullFrame)  {UifButton 244.0 8.0 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqWindow-hwWindow)  {UifCheckButton 4.0 8.0 1 0 0 0 1 hwWindow 0 0 1 0 0 0}
    set panWidget(${top}.iracqWindow-nx)  {UifOutput 268.0 40.0 1 1 0 0 1 exposure.NX 0 %d {}}
    set panWidget(${top}.iracqWindow-nxSet)  {UifEntry 180.0 40.0 1 0 {} 0 1 nxSet 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqWindow-ny)  {UifOutput 268.0 68.0 1 1 0 0 1 exposure.NY 0 %d {}}
    set panWidget(${top}.iracqWindow-nySet)  {UifEntry 180.0 68.0 1 0 {} 0 1 nySet 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqWindow-startX)  {UifOutput 120.0 40.0 1 1 0 0 1 exposure.STARTX 0 %.0f {}}
    set panWidget(${top}.iracqWindow-startXSet)  {UifEntry 4.0 40.0 1 0 {} 0 1 startXSet 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqWindow-startY)  {UifOutput 120.0 68.0 1 1 0 0 1 exposure.STARTY 0 %.0f {}}
    set panWidget(${top}.iracqWindow-startYSet)  {UifEntry 4.0 68.0 1 0 {} 0 1 startYSet 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.iracqWindow-nx)  [list out local exposure.NX 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqWindow-ny)  [list out local exposure.NY 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqWindow-startX)  [list out local exposure.STARTX 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqWindow-startY)  [list out local exposure.STARTY 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqWindow-fullFrame)  {Apply full frame}
    set panWidgetHlp(${top}.iracqWindow-hwWindow)  {Apply IRCE-DCS hardware window}
    set panWidgetHlp(${top}.iracqWindow-nx)  {IRACE-DCS window size x-direction}
    set panWidgetHlp(${top}.iracqWindow-nxSet)  {Set IRACE-DCS window size x-direction}
    set panWidgetHlp(${top}.iracqWindow-ny)  {IRACE-DCS window size y-direction}
    set panWidgetHlp(${top}.iracqWindow-nySet)  {Set IRACE-DCS window size y-direction}
    set panWidgetHlp(${top}.iracqWindow-startX)  {IRACE-DCS window lower left corner (x-direction)}
    set panWidgetHlp(${top}.iracqWindow-startXSet)  {Set IRACE-DCS window lower left corner (x-direction)}
    set panWidgetHlp(${top}.iracqWindow-startY)  {IRACE-DCS window lower left corner (y-direction)}
    set panWidgetHlp(${top}.iracqWindow-startYSet)  {Set IRACE-DCS window lower left corner (y-direction)}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
