#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panSetConfigHelp.tcl,v 5.34 2005/09/26 12:44:24 vltsccm Exp $" 
#
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.COMIN   28/03/94  created 
#
# mcomin    27/02/96  Porting to TK4.0
#
#


proc panSetConfigHelp { idx top bot sh type } {
   global par wdgConfig

   #
   # Specific configuration parameters
   #

   switch $type {
      UifBitmap  {
                  UifShortHelp::add $sh  $top.f4.hot \
                  { Configure the widget to trigger actions }

                  UifShortHelp::add $sh  $top.f4.color \
                  { Color of the Background when the cursor is on the widget}
      }
      UifButton  {
                 set w [getWdgConfig $idx wdgLabel]
	         UifShortHelp::add $sh ${w}DOTS  \
                 { Enables to call a panel : it adds "..." to the label}

                 UifShortHelp::add $sh  $top.f4.xbm \
                 {Enable to use a 'bitmap' as label}

                 UifShortHelp::add $sh  $w \
                 {For a 'bitmap' the field contains the name of the bitmap file}
     }
     UifBarChart {
                 UifShortHelp::add $sh  $top.f15.axis  \
                 { Enables to display the label and Ticks}

                 UifShortHelp::add $sh  $top.f15.ticks  \
                 { Enables to display the ticks or the bar chart range}
     }
     UifFrame  {
                 UifShortHelp::add $sh  $top.f3.resize  \
	         {Enables the frame to automatically adjust size }
     }
   }; # end of switch
}

