#***********************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wpClear.tcl,v 1.23 1998/03/09 08:55:27 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    12/04/95  created
# gfilippi  31/05/95  set as a separate file from wpAccountLib.tcl
#
#************************************************************************
#   NAME
#
#     wpClear - clears all fields
#
#   DESCRIPTION
#
#     Internal procedure for 'Activity Account' panel (wpActivity.pan)
#
#------------------------------------------------------------------------
#

#------------------------------------------------------------------------
# PROCEDURE : wpClear  - Clears all fields
#
#------------------------------------------------------------------------

proc wpClear { {par { }} } {

   global gvar

   if { $par == "confirm" } {
      set tmp "CLEAR all data \nDo you want to continue ?"
      if {[tk_dialog .dialog "Dialog Box" $tmp question 1 Continue Cancel]} { 
         return 
      }
   }

   set gvar(week)    [ exec sh -c "date '+%V'" ]    ; # set week to current
   set gvar(year)    [ exec sh -c "date '+%Y'" ]    ; # set year to current
   set gvar(actList) ""                ; # Clear Counter for Week
   set gvar(totWeek) ""                ; # Clear Counter for Week   

   # Clear Entry fields and totals   

   foreach name [array names gvar] {
      if {[string match "cell_*" $name]} { set gvar($name) "" }
      if {[string match "col_*"  $name]} { set gvar($name) "" }

   }
}

#
# ___oOo___
